Update Transaction
Use this endpoint to update a transaction. This endpoint accepts the optional MX-SKIP-WEBHOOK header.
POST
/users/{user_id}/members/{member_id}/accounts/{account_id}/transactions/{transaction_id}
Path Parameters
| Field | Required | Type |
|---|---|---|
user_id | Required | String |
member_id | Required | String |
account_id | Required | String |
transaction_id | Required | String |
Request Body
| Field | Required | Type |
|---|---|---|
amount | Optional | Decimal |
category_guid | Optional | String |
category | Optional | String |
check_image | Optional | String |
check_number | Optional | String |
currency_code | Optional | String |
description | Optional | String |
is_international | Optional | String |
latitude | Optional | String |
localized_description | Optional | String |
localized_memo | Optional | String |
longitude | Optional | String |
memo | Optional | String |
merchant_category_code | Optional | String |
metadata | Optional | String |
posted_at | Optional | String |
posted_on | Optional | String |
status | Required | String |
transacted_at | Optional | String |
transacted_on | Optional | String |
type | Optional | String |
Request sample
Language:
Response sample
Language:json